# Class AbstractAccessLogValve.DateAndTimeElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.DateAndTimeElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.DateAndTimeElement extends Object implements AbstractAccessLogValve.AccessLogElement
write date and time, in configurable format (default CLF) - %t or %{format}t

Author:
  Craig R. McClanahan, Jason Brittain, Remy Maucherat, Takayuki Kaneko, Peter Rossbach

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DateAndTimeElement()`
`protected`
`DateAndTimeElement(String sdf)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DateAndTimeElement

protected DateAndTimeElement()

### DateAndTimeElement

protected DateAndTimeElement(String sdf)

## Method Details

### addElement

public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)

Specified by:
  `addElement` in interface `AbstractAccessLogValve.AccessLogElement`